Last Comment Bug 712574 - Better to use just <include> and avoid <merge>
: Better to use just <include> and avoid <merge>
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P4 normal (vote)
: Firefox 12
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-21 00:51 PST by Sriram Ramasubramanian [:sriram]
Modified: 2012-01-19 09:18 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Patch (15.91 KB, patch)
2011-12-21 00:55 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
blassey.bugs: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Sriram Ramasubramanian [:sriram] 2011-12-21 00:51:14 PST
On a sudden realization, I found that we are including something into another <custom.View> and creating a new file for this included content inside a <merge>.
Instead, we can have the <custom.View> as the parent element.
I'm not sure if this can provide a performance win, but the code looks more elegant.
Comment 1 Sriram Ramasubramanian [:sriram] 2011-12-21 00:55:44 PST
Created attachment 583421 [details] [diff] [review]
Patch

This patch remove 2 files in layout-v11/.
One of the files have been renamed for better naming convention.
A new file is added to separate the "awesomebar_search" related UI.
As expected, the code looks better and clearer (than having an "action_bar") file separately.
I haven't checked it against any performance win -- but we should have some for sure. :)
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-21 13:36:08 PST
Comment on attachment 583421 [details] [diff] [review]
Patch

Looks good to me. Getting Brad for a second opinion.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-06 22:55:31 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/757a48403154
Comment 4 Ed Morley [:emorley] 2012-01-07 19:32:27 PST
https://hg.mozilla.org/mozilla-central/rev/757a48403154
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-16 23:33:20 PST
Comment on attachment 583421 [details] [diff] [review]
Patch

[Approval Request Comment]
Cleans up the code, Uses a better pattern. Blocking other changes from Aurora.
Comment 6 Alex Keybl [:akeybl] 2012-01-18 08:26:50 PST
Comment on attachment 583421 [details] [diff] [review]
Patch

[Triage Comment]
Mobile only - approved for aurora.
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-19 09:18:37 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/ac659ffd7c54

Note You need to log in before you can comment on or make changes to this bug.